<?php
namespace Datec\DatecJobmarket\ViewHelpers;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * @package datec_jobmarket
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class InArrayViewHelper extends AbstractViewHelper {
	
	/**
	 * Checks for value in array
	 * 
	 * @param mixed $needle
	 * @param mixed $haystack preferably array, but accepts comma-seperated string also
	 * @return boolean
	 */
	public function render($needle, $haystack) {
		if (is_string($haystack)) {
			$haystack = \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode(',', $haystack);
		}
		if (is_array($haystack)) {
			return in_array($needle, $haystack);
		}
		return FALSE;
	}

}