<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$extensionKey = 'datec_jobmarket';
return [
    'ctrl' => [
        'title'	=> 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry',
        'label' => 'title',
        'label_alt' => 'jobtype',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => 'jobtype,title,information,jobgroups,qualifications,contact,facility,facility_type,workarea,street,zipcode,city,phone1,phone2,fax,email,password',
        'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($extensionKey) . 'Configuration/TCA/Jobentry.php',
        'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($extensionKey) . 'Resources/Public/Icons/tx_datecjobmarket_domain_model_jobentry.gif'
    ],
	'interface' => [
		'showRecordFieldList' => 'hidden, exportable, anonymous, starttime, endtime, beginfrom, limitedto, jobtype, title, information, jobgroups, qualifications, contact, facility, facility_type, worktime, workarea, worktime_type, street, zipcode, city, phone1, phone2, fax, email, password',
	],
	'types' => [
		'1' => ['showitem' => 'hidden;;1, exportable, anonymous, beginfrom, limitedto, jobtype, title, information;;;richtext[]:rte_transform[mode=ts], jobgroups, qualifications, contact, facility, facility_type, worktime_type, workarea, street, zipcode, city, phone1, phone2, fax, email, password,--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime']
	],
	'palettes' => [
		'1' => ['showitem' => '']
	],
	'columns' => [
		'hidden' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.hidden',
			'config' => [
				'type' => 'check',
			]
		],
		'starttime' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				]
			]
		],
		'endtime' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				]
			]
		],
		'beginfrom' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.beginfrom',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				]
			]
		],
		'limitedto' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.limitedto',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				]
			]
		],
		'jobtype' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobtype',
			'config' => [
				'type' => 'select',
				'items' => [
					['LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobtype.1', 1],
					['LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobtype.2', 2]
				],
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,					
				'eval' => 'int,required'
			]
		],
		'title' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.title',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			]
		],
		'information' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.information',
			'config' => [
				'type' => 'text',
				'cols' => 30,
				'rows' => 5,
				'wizards' => [
					'_PADDING' => 2,
					'RTE' => [
						'notNewRecords' => 1,
						'RTEonly'       => 1,
						'type'          => 'script',
						'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon'          => 'wizard_rte2.gif',
						'script'        => 'wizard_rte.php',
					]
				]
			]
		],
		'jobgroups' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobgroups',
			'config' => [
				'type'          => 'group',
			    'internal_type' => 'db',
			    'foreign_table' => 'tx_datecjobmarket_domain_model_jobgroup',
			    'allowed'       => 'tx_datecjobmarket_domain_model_jobgroup',
			    'MM'            => 'tx_datecjobmarket_domain_model_jobentry_jobgroup_mm',				
				'minitems' => 1,
				'maxitems' => 999,
			]
		],
		'qualifications' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.qualifications',
			'config' => [
				'type'          => 'group',
			    'internal_type' => 'db',
			    'foreign_table' => 'tx_datecjobmarket_domain_model_qualification',
			    'allowed'       => 'tx_datecjobmarket_domain_model_qualification',
			    'MM'            => 'tx_datecjobmarket_domain_model_jobentry_qualification_mm',				
				'minitems' => 0,
				'maxitems' => 999,
			]
		],
		'contact' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.contact',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			]
		],
		'facility' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.facility',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'facility_type' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.facilityType',
			'config' => [
				'type' => 'select',
				'items' => [
					['',0]
				],
				'foreign_table' => 'tx_datecjobmarket_domain_model_facilitytype',
				'foreign_table_where' => ' ORDER BY tx_datecjobmarket_domain_model_facilitytype.sorting',
				'foreign_label' => 'name',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
			]
		],
		'worktime' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.worktime',
			'config' => [
					'type' => 'input',
					'size' => 30,
					'eval' => 'trim'
			]
		],
		'workarea' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.workarea',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'worktime_type' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.worktimeType',
			'config' => [
				'type' => 'select',
				'items' => [
					['',0]
				],
				'foreign_table' => 'tx_datecjobmarket_domain_model_worktimetype',
				'foreign_table_where' => ' ORDER BY tx_datecjobmarket_domain_model_worktimetype.sorting',
				'foreign_label' => 'name',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
			]
		],
		'street' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.street',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'zipcode' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.zipcode',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'city' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.city',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'phone1' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.phone1',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'phone2' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.phone2',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'fax' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.fax',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			]
		],
		'email' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.email',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			]
		],
		'password' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.password',
			'config' => [
					'type' => 'input',
					'size' => 30,
					'eval' => 'trim,required,password'
			]
		],
		'exportable' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.exportable',
			'config' => [
				'type' => 'check',
			]
		],
		'anonymous' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.anonymous',
            'config' => [
                'type' => 'check',
            ]
        ]
	]
];