#
# Table structure for table 'tx_datecjobmarket_domain_model_jobentry'
#
CREATE TABLE tx_datecjobmarket_domain_model_jobentry (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	jobtype int(11) DEFAULT '0' NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	information text NOT NULL,
	jobgroups int(11) DEFAULT '0' NOT NULL,
	qualifications int(11) DEFAULT '0' NOT NULL,
	contact varchar(255) DEFAULT '' NOT NULL,
	facility varchar(255) DEFAULT '' NOT NULL,
	facility_type int(11) DEFAULT '0' NOT NULL,
	workarea varchar(255) DEFAULT '' NOT NULL,
	worktime varchar(255) DEFAULT '' NOT NULL,
	worktime_type int(11) DEFAULT '0' NOT NULL,
	street varchar(255) DEFAULT '' NOT NULL,
	zipcode varchar(255) DEFAULT '' NOT NULL,
	city varchar(255) DEFAULT '' NOT NULL,
	phone1 varchar(255) DEFAULT '' NOT NULL,
	phone2 varchar(255) DEFAULT '' NOT NULL,
	fax varchar(255) DEFAULT '' NOT NULL,
	email varchar(255) DEFAULT '' NOT NULL,	
	password varchar(255) DEFAULT '' NOT NULL,
	beginfrom int(11) unsigned DEFAULT '0' NOT NULL,
	limitedto int(11) unsigned DEFAULT '0' NOT NULL,
	exportable tinyint(4) unsigned DEFAULT '0' NOT NULL,
	anonymous tinyint(4) unsigned DEFAULT '0' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid)
	
);

#
# Table structure for table 'tx_datecjobmarket_domain_model_jobgroup'
#
CREATE TABLE tx_datecjobmarket_domain_model_jobgroup (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	
	name varchar(255) DEFAULT '' NOT NULL,
	
	sorting int(11) unsigned DEFAULT '0' NOT NULL,	
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid,sorting)
	
);

#
# Table structure for table 'tx_datecjobmarket_domain_model_jobentry_jobgroup_mm'
#
CREATE TABLE tx_datecjobmarket_domain_model_jobentry_jobgroup_mm (
	uid_local int(11) DEFAULT '0' NOT NULL,
	uid_foreign int(11) DEFAULT '0' NOT NULL,
	tablenames varchar(255) DEFAULT '' NOT NULL,
	sorting int(11) DEFAULT '0' NOT NULL,
	sorting_foreign int(11) DEFAULT '0' NOT NULL,

	KEY uid_local_foreign (uid_local,uid_foreign),
	KEY uid_foreign_tablenames (uid_foreign,tablenames)
);

#
# Table structure for table 'tx_datecjobmarket_domain_model_qualification'
#
CREATE TABLE tx_datecjobmarket_domain_model_qualification (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	
	name varchar(255) DEFAULT '' NOT NULL,
	
	sorting int(11) unsigned DEFAULT '0' NOT NULL,	
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid,sorting)
	
);

#
# Table structure for table 'tx_datecjobmarket_domain_model_jobentry_qualification_mm'
#
CREATE TABLE tx_datecjobmarket_domain_model_jobentry_qualification_mm (
	uid_local int(11) DEFAULT '0' NOT NULL,
	uid_foreign int(11) DEFAULT '0' NOT NULL,
	tablenames varchar(255) DEFAULT '' NOT NULL,
	sorting int(11) DEFAULT '0' NOT NULL,
	sorting_foreign int(11) DEFAULT '0' NOT NULL,

	KEY uid_local_foreign (uid_local,uid_foreign),
	KEY uid_foreign_tablenames (uid_foreign,tablenames)
);

#
# Table structure for table 'tx_datecjobmarket_domain_model_facilitytype'
#
CREATE TABLE tx_datecjobmarket_domain_model_facilitytype (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	
	name varchar(255) DEFAULT '' NOT NULL,
	
	sorting int(11) unsigned DEFAULT '0' NOT NULL,	
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid,sorting)
	
);

#
# Table structure for table 'tx_datecjobmarket_domain_model_worktimetype'
#
CREATE TABLE tx_datecjobmarket_domain_model_worktimetype (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	
	name varchar(255) DEFAULT '' NOT NULL,
	short_name varchar(50) DEFAULT '' NOT NULL,
	
	sorting int(11) unsigned DEFAULT '0' NOT NULL,	
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid,sorting)
	
);